Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.gui
Class ObjexcelTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--com.objexcel.gui.ObjexcelTableModel

Direct Known Subclasses:
  RoomOccupants

public class ObjexcelTableModel
extends javax.swing.table.AbstractTableModel

table model that support sorting supports firing events without the need to subclass it

See Also:
  Serialized Form

Constructor Summary
`ObjexcelTableModel(java.lang.String[] colNames, java.util.Vector data, java.lang.Class[] colTypes)`

Method Summary
`void` | `addSorting(javax.swing.JTable table)` sort enable a table.
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `resort()` resort the table based on the last column it was sorted by
`void` | `rowAdded(int i)`
`void` | `rowDeleted(int i)`
`void` | `rowUpdated(int i)`
`void` | `setEditableColumn(int col)`
`void` | `setValueAt(java.lang.Object aValue, int row, int column)`
`void` | `tableChanged(javax.swing.event.TableModelEvent e)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjexcelTableModel

    public ObjexcelTableModel(java.lang.String[] colNames,
                              java.util.Vector data,
                              java.lang.Class[] colTypes)

Method Detail

### tableChanged

    public void tableChanged(javax.swing.event.TableModelEvent e)

### rowUpdated

    public void rowUpdated(int i)

### rowAdded

    public void rowAdded(int i)

### rowDeleted

    public void rowDeleted(int i)

### getColumnCount

    public int getColumnCount()

  Overrides:
    getColumnCount in class javax.swing.table.AbstractTableModel

### getRowCount

    public int getRowCount()

  Overrides:
    getRowCount in class javax.swing.table.AbstractTableModel

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Overrides:
    getValueAt in class javax.swing.table.AbstractTableModel

### getColumnName

    public java.lang.String getColumnName(int column)

  Overrides:
    getColumnName in class javax.swing.table.AbstractTableModel

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Overrides:
    getColumnClass in class javax.swing.table.AbstractTableModel

### setEditableColumn

    public void setEditableColumn(int col)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Overrides:
    isCellEditable in class javax.swing.table.AbstractTableModel

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int row,
                           int column)

  Overrides:
    setValueAt in class javax.swing.table.AbstractTableModel

### addSorting

    public void addSorting(javax.swing.JTable table)

  sort enable a table.

### resort

    public void resort()

  resort the table based on the last column it was sorted by

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD